ConsentSubmit consent receipt
Consent

Submit consent receipt

Accepts a consent receipt and queues it for ledger recording. Returns 202 Accepted.

curl -X POST "https://api.neostra.io/api/v1/consents" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "subjectId": "123e4567-e89b-12d3-a456-426614174000",
  "tenantId": "123e4567-e89b-12d3-a456-426614174000",
  "brandId": "123e4567-e89b-12d3-a456-426614174000",
  "cpId": "example_string",
  "receipt": {}
}'
{
  "success": true,
  "message": "example_string",
  "data": {}
}
POST
/api/v1/consents
POST
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
cpIdstring
Required

Collection-point identifier

receiptobject
Required

Consent receipt payload (JSONB)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Body

application/json
cpIdstring
Required

Collection-point identifier

receiptobject
Required

Consent receipt payload (JSONB)

Responses